package com.cool.store.enums;

public enum AuditEnum {

    CONTRACT_INTENTION("intention", "意向加盟合同API","intentAgreementServiceImpl"),
    SYS_BUILD("sysBuild", "系统建店API","sysStoreAppServiceImpl"),
    SIGN_FRANCHISE("signFranchise", "加盟合同签约","signFranchiseServiceImpl"),

    ;

    private String code;

    private String message;

    private String clazz;

    AuditEnum(String code, String message, String clazz) {
        this.code = code;
        this.message = message;
        this.clazz = clazz;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public String getClazz() {
        return clazz;
    }

    public static AuditEnum getWorkflowSubStageEnum(String flag) {
        for (AuditEnum auditEnum : AuditEnum.values()) {
            if (auditEnum.getCode().equals(flag)) {
                return auditEnum;
            }
        }
        return null;
    }
}

